summaryrefslogtreecommitdiffhomepage
path: root/runsc/debian/postinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'runsc/debian/postinst.sh')
-rwxr-xr-xrunsc/debian/postinst.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/runsc/debian/postinst.sh b/runsc/debian/postinst.sh
index 03a5ff524..dc7aeee87 100755
--- a/runsc/debian/postinst.sh
+++ b/runsc/debian/postinst.sh
@@ -15,10 +15,10 @@
# limitations under the License.
if [ "$1" != configure ]; then
- exit 0
+ exit 0
fi
if [ -f /etc/docker/daemon.json ]; then
- /usr/libexec/runsc/dockercfg runtime-add runsc /usr/bin/runsc
- systemctl restart docker
+ runsc install
+ systemctl restart docker || echo "unable to restart docker; you must do so manually." >&2
fi